using System;
using System.Windows.Forms;

namespace Baza_Reklam
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
         //   try
         //   {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                
                Logowanie logowanie = new Logowanie();

                if (logowanie.ShowDialog() == DialogResult.OK)
                {
                    Application.Run(new MDIBazaReklam());
                }

               // Application.Run(new Logowanie());
        /*    }

            catch (Exception e1)
            {
                MessageBox.Show("Wystąpił nieznany błąd. Opis w pliku:" + DateTime.Today.ToShortDateString() + "log.txt");
                string nazwa = DateTime.Today.ToShortDateString() + "log.txt";
                Directory.CreateDirectory(".\\logi\\");
                StreamWriter plik = new StreamWriter(".\\logi\\" + nazwa, true);

                plik.WriteLine("======================1 " + Baza_Reklam.Classes.Version.nrWersji + "======================");
                plik.WriteLine("=================MESSAGE=================");
                plik.WriteLine(e1.Message);
                plik.WriteLine("=================SOURCE=================");
                plik.WriteLine(e1.Source);
                plik.WriteLine("=================STRACKTRACE=================");
                plik.WriteLine(e1.StackTrace);
                plik.WriteLine("=================INNER EXCEPTION=================");
                plik.WriteLine(e1.InnerException);

                plik.Close();
            }*/
        }

    }
}
